@import "/src/app/layout/variables";

.toggle-switch {
  label {
    display: inline-block;
    background: #999;
    position: relative;
    transition: background 0.2s;
    cursor: pointer;
    border-radius: 3rem;
    width: 42px;
    height: 22px;
    color: green;

    &::before {
      display: inline-block;
      position: absolute;
      content: " ";
      background: white;
      vertical-align: middles;
      top: 3px;
      left: 3px;
      transition: left 0.2s;
      border-radius: 3rem;
      width: 16px;
      height: 16px;
      line-height: 32px;
    }


    &:not(.checked) {
      background: #999;
    }

    &.disabled {
      background: lighten($primary-color, 20%);

      &:not(.checked) {
        background: lighten(#999, 20%);
      }

      &::before {
        box-shadow: none;
      }
    }


    &.checked {
      &::before {
        left: 23px;
      }

      &:not(.disabled) {
        background: $primary-color;
      }
    }
  }
}
